E-MailRelay

Public Types | Static Public Member Functions | Static Public Attributes | List of all members
G::threading Struct Reference

Helper class for std::thread capabilities. More...

`#include <gdef.h>`

## Public Types
using | thread_type = std::thread
using | mutex_type = std::mutex
using | lock_type = std::lock_guard< std::mutex >

## Static Public Member Functions
static bool | works ()
static void | yield () noexcept

## Static Public Attributes
static constexpr bool | using_std_thread = true

## Detailed Description

Helper class for std::thread capabilities.

Definition at line 997 of file gdef.h.

## Member Typedef Documentation

## ◆ lock_type

using G::threading::lock_type = std::lock_guard<std::mutex>

Definition at line 1002 of file gdef.h.

## ◆ mutex_type

using G::threading::mutex_type = std::mutex

Definition at line 1001 of file gdef.h.

## ◆ thread_type

using G::threading::thread_type = std::thread

Definition at line 1000 of file gdef.h.

## Member Function Documentation

## ◆ works()

bool G::threading::works | ( |  | ) |
| static

Definition at line 31 of file gthread.cpp.

## ◆ yield()

static void G::threading::yield | ( |  | ) |
| inline static noexcept

Definition at line 1004 of file gdef.h.

## Member Data Documentation

## ◆ using_std_thread

constexpr bool G::threading::using_std_thread = true
| static constexpr

Definition at line 999 of file gdef.h.

The documentation for this struct was generated from the following files:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/glib/gdef.h
- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/glib/gthread.cpp